Open Infrastructure - Task #8670

Turn "temper” into an openwrt upstream package
12/03/2020 08:05 PM - Nico Schottelius

Status: Rejected Start date: 12/03/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ We need temper.py on openwrt to measure temperature

e Currently it is installed using https://code.ungleich.ch/ungleich-public/ungleich-tools/-/blob/master/openwrt-add-temper.sh
* The best solution is to have a "temper" upstream package that we as ungleich can be responsible for

¢ pypi url: https:/pypi.org/project/temper-py/

History

#1 - 12/03/2020 08:05 PM - Nico Schottelius

- Description updated

#2 - 12/03/2020 08:13 PM - Timothée Floure

- Status changed from New to Seen

ACK. Will take a look next week.

#3 - 12/03/2020 08:18 PM - Nico Schottelius
Thanks!

redmine@ungleich.ch writes:

#4 - 12/07/2020 08:46 AM - Timothée Floure

- Status changed from Seen to In Progress

Relevant resources:

o https:/github.com/openwrt/packages/blob/master/CONTRIBUTING.md
e https://openwrt.org/docs/guide-developer/package-policies

#5 - 12/07/2020 09:47 AM - Timothée Floure
@Nico Schottelius Can you give me access to one of our Openwrt nodes for testing purposes?

#6 - 12/17/2020 12:56 PM - Nico Schottelius

Feel free to checkout viirb1, reachable at root@2a0a:e5c1:301::42 - it
has a temper sensor attached.

redmine@ungleich.ch writes:

#7 - 01/19/2021 07:45 AM - Timothée Floure

- Status changed from In Progress to Waiting

Sorry for the latency here - many things happening on my side (I still have to figure where to live in 10 days!) so I've put this away since it does not
look like a priority. I'll process it next week.

#8 - 02/01/2021 09:07 AM - Timothée Floure

- Status changed from Waiting to In Progress
#9 - 02/01/2021 04:01 PM - Timothée Floure

Nico Schottelius wrote:

Feel free to checkout viirb1, reachable at root@2a0a:e5c1:301::42 - it
has a temper sensor attached.

redmine@ungleich.ch writes:

| have apackage definition but viirb1's address is unreachable.

#10 - 07/29/2021 06:09 PM - Timothée Floure
- Status changed from In Progress to Waiting

- Assignee deleted (Timothée Floure)

Is this still relevant?

#11 - 07/29/2021 08:15 PM - Nico Schottelius

- Status changed from Waiting to New

Still relevant.

#12 - 01/02/2024 02:12 PM - Nico Schottelius

- Status changed from New to Rejected
